/***************************************************************************
 *   Copyright (C) 2004 by Alexander Dymo                                  *
 *   cloudtemple@mskat.net                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.             *
 ***************************************************************************/
#ifndef PPIXMAPEDIT_H
#define PPIXMAPEDIT_H

#include "propertywidget.h"

class TQLabel;
class TQPushButton;

namespace PropertyLib{

/**
@short %Property editor which shows a pixmap and allows to load it from file.
*/
class PPixmapEdit : public PropertyWidget
{
    Q_OBJECT
  
public:
    PPixmapEdit(MultiProperty* property, TQWidget* parent = 0, const char* name = 0);

    virtual TQVariant value() const;
    virtual void drawViewer(TQPainter* p, const TQColorGroup& cg, const TQRect& r, const TQVariant& value);
    virtual void setValue(const TQVariant& value, bool emitChange);

    virtual void resizeEvent(TQResizeEvent *ev);
    virtual bool eventFilter(TQObject *o, TQEvent *ev);
    
protected slots:
    void updateProperty();

private:
    TQLabel *m_edit;
    TQLabel *m_popup;
    TQPushButton *m_button;
};

}

#endif
